Harness 設定
Landing Page Task API
landing page を非同期生成し、タスク履歴を照会します。
POST
/v2/landing_page認証
Bearer API key
Content type
application/json or multipart/form-data
レート制限
endpoint ごとの制限が適用される場合があります。
Landing Page Task API は async landing page generation 用の API です。task を作成し、shared task polling APIs で progress、history、generated ai_page_html を取得します。
認証
Authorization: Bearer YOUR_API_KEYLanding Page タスクを作成
POST https://openapi.felo.ai/v2/landing_pageリクエスト Body
| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
query | string | はい | landing page generation prompt |
stream_protocol | string | いいえ | Stream protocol. Default: message_center_v1 |
livedoc_short_id | string | いいえ | Existing LiveDoc short ID to use as context |
resource_ids | array of strings | いいえ | LiveDoc resource IDs to use as context |
例
curl -X POST 'https://openapi.felo.ai/v2/landing_page' \
-H 'accept: application/json' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"query":"Generate a landing page for Felo Search"}'Create With File
Upload one file with multipart/form-data. The file is first uploaded as a LiveDoc resource, then its resource ID is passed to the Landing Page task.
curl -X POST 'https://openapi.felo.ai/v2/landing_page' \
-H 'accept: application/json' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'query=Generate a landing page from this product brief' \
-F '[email protected]'The response returns task_id for polling.
Poll Task Status
GET https://openapi.felo.ai/v2/tasks/{task_id}/statusQuery Task Historical Info
GET https://openapi.felo.ai/v2/tasks/{task_id}/historicalHistorical result includes task_status, ppt_biz_id, ppt_url, and ai_page_html. Status semantics are shared with PPT Task API.
エラーコード
| Code | HTTP Status | 説明 |
|---|---|---|
INVALID_API_KEY | 401 | API Key is invalid or revoked |
LANDING_PAGE_TASK_CREATE_FAILED | 502 | Landing page task creation failed |
INSUFFICIENT_CREDITS | 402 | Insufficient credits available |